Replace an event
PUT
/api/v1/mailbox/calendars/{calendar}/events/{event_id}Parameters
| Name | In | Type | Description |
|---|---|---|---|
calendarrequired | path | string | |
event_idrequired | path | string | |
etag | query | string |
Request body
Request
PUT
/api/v1/mailbox/calendars/{calendar}/events/{event_id}curl -X PUT 'https://app.mailyte.com/api/v1/mailbox/calendars/01JBT8XQ2M9WYC3K4F6R7S8T9V/events/01JBT8XQ2M9WYC3K4F6R7S8T9V' \
-H 'Authorization: Bearer MAILBOX_TOKEN'const response = await fetch('https://app.mailyte.com/api/v1/mailbox/calendars/01JBT8XQ2M9WYC3K4F6R7S8T9V/events/01JBT8XQ2M9WYC3K4F6R7S8T9V', {
method: 'PUT',
headers: {
Authorization: 'Bearer MAILBOX_TOKEN',
},
});
const { data } = await response.json();import requests
response = requests.put(
"https://app.mailyte.com/api/v1/mailbox/calendars/01JBT8XQ2M9WYC3K4F6R7S8T9V/events/01JBT8XQ2M9WYC3K4F6R7S8T9V",
headers={"Authorization": "Bearer MAILBOX_TOKEN"},
)
data = response.json()["data"]<?php
$response = Http::withToken('MAILBOX_TOKEN')
->put('https://app.mailyte.com/api/v1/mailbox/calendars/01JBT8XQ2M9WYC3K4F6R7S8T9V/events/01JBT8XQ2M9WYC3K4F6R7S8T9V');
$data = $response->json('data');require "net/http"
require "json"
uri = URI("https://app.mailyte.com/api/v1/mailbox/calendars/01JBT8XQ2M9WYC3K4F6R7S8T9V/events/01JBT8XQ2M9WYC3K4F6R7S8T9V")
request = Net::HTTP::Put.new(uri)
request["Authorization"] = "Bearer MAILBOX_TOKEN"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }Response
Successful Response
Returned inside the standard envelope.
Errors
| Status | When |
|---|---|
422 | Validation Error |
Every status, with what causes it and what to do, is on the error reference.